"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                             */
;/* empty css                                                                    */
;/* empty css                                                                         */
;/* empty css                                                                */
;/* empty css                                                                 */
;/* empty css                                                                       */
;/* empty css                                                                        */
;/* empty css                                                                     */
;/* empty css                                                                 */
const Vue = require("vue");
const common = require("../../utils/common.js");
const eventBus = require("../../utils/eventBus.js");
const ValueSelector = require("../../../components/ValueSelector.vue.js");
const index = require("../../../../../node_modules/element-plus/es/components/collapse/index.js");
const index$1 = require("../../../../../node_modules/element-plus/es/components/form/index.js");
const index$2 = require("../../../../../node_modules/element-plus/es/components/input/index.js");
const index$3 = require("../../../../../node_modules/element-plus/es/components/radio/index.js");
const _sfc_main = {
  __name: "approvalHistory",
  setup(__props) {
    const currentItem = Vue.computed(() => {
      return common.getCurrentItem();
    });
    const activeName = Vue.ref(["common"]);
    Vue.watch(
      currentItem.value.titleMode,
      (value) => {
        handleTitleModeChange(value);
      },
      {
        immediate: true
      }
    );
    function handleTitleModeChange(value) {
      const item = currentItem.value;
      const fieldsData = common.getEditConfigData().fieldsData;
      const fieldInData = fieldsData == null ? void 0 : fieldsData.find((f) => {
        var _a;
        return ((_a = f.component) == null ? void 0 : _a.id) === item.id;
      });
      if (fieldInData) {
        fieldInData.h = value === "none" ? 2 : 3;
        eventBus.default.emit("resizeEvent");
      }
    }
    return (_ctx, _cache) => {
      const _component_el_input = index$2.ElInput;
      const _component_el_form_item = index$1.ElFormItem;
      const _component_el_radio_button = index$3.ElRadioButton;
      const _component_el_radio_group = index$3.ElRadioGroup;
      const _component_el_form = index$1.ElForm;
      const _component_el_collapse_item = index.ElCollapseItem;
      const _component_el_collapse = index.ElCollapse;
      return Vue.openBlock(), Vue.createBlock(_component_el_collapse, {
        class: "setting",
        modelValue: Vue.unref(activeName),
        "onUpdate:modelValue": _cache[5] || (_cache[5] = ($event) => Vue.isRef(activeName) ? activeName.value = $event : null)
      }, {
        default: Vue.withCtx(() => [
          Vue.createVNode(_component_el_collapse_item, {
            name: "common",
            title: "基本属性"
          }, {
            default: Vue.withCtx(() => [
              Vue.createVNode(_component_el_form, {
                "label-position": "top",
                "label-width": "auto",
                model: Vue.unref(currentItem)
              }, {
                default: Vue.withCtx(() => [
                  Vue.createVNode(_component_el_form_item, {
                    label: "标题",
                    required: ""
                  }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_input, {
                        modelValue: Vue.unref(currentItem).label,
                        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => Vue.unref(currentItem).label = $event)
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "标题模式" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_radio_group, {
                        modelValue: Vue.unref(currentItem).titleMode,
                        "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => Vue.unref(currentItem).titleMode = $event),
                        size: "small",
                        onChange: handleTitleModeChange
                      }, {
                        default: Vue.withCtx(() => [
                          Vue.createVNode(_component_el_radio_button, { value: "none" }, {
                            default: Vue.withCtx(() => _cache[6] || (_cache[6] = [
                              Vue.createTextVNode("无")
                            ])),
                            _: 1
                          }),
                          Vue.createVNode(_component_el_radio_button, { value: "label" }, {
                            default: Vue.withCtx(() => _cache[7] || (_cache[7] = [
                              Vue.createTextVNode("标题")
                            ])),
                            _: 1
                          }),
                          Vue.createVNode(_component_el_radio_button, { value: "subLabel" }, {
                            default: Vue.withCtx(() => _cache[8] || (_cache[8] = [
                              Vue.createTextVNode("子标题")
                            ])),
                            _: 1
                          })
                        ]),
                        _: 1
                      }, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.unref(currentItem).titleMode != "none" ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 0 }, [
                    Vue.unref(currentItem).titleMode == "label" ? (Vue.openBlock(), Vue.createBlock(_component_el_form_item, {
                      key: 0,
                      label: "副标题"
                    }, {
                      default: Vue.withCtx(() => [
                        Vue.createVNode(_component_el_input, {
                          modelValue: Vue.unref(currentItem).subLabel,
                          "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => Vue.unref(currentItem).subLabel = $event),
                          rows: 2,
                          type: "textarea",
                          resize: "none"
                        }, null, 8, ["modelValue"])
                      ]),
                      _: 1
                    })) : Vue.createCommentVNode("", true)
                  ], 64)) : Vue.createCommentVNode("", true),
                  Vue.createVNode(_component_el_form_item, { label: "业务主键字段" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(ValueSelector.default, {
                        modelValue: Vue.unref(currentItem).traceNoFieldName,
                        "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => Vue.unref(currentItem).traceNoFieldName = $event),
                        size: "default"
                      }, null, 8, ["modelValue"])
                    ]),
                    _: 1
                  }),
                  Vue.createVNode(_component_el_form_item, { label: "默认显示" }, {
                    default: Vue.withCtx(() => [
                      Vue.createVNode(_component_el_radio_group, {
                        modelValue: Vue.unref(currentItem).appHisDefault,
                        "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => Vue.unref(currentItem).appHisDefault = $event),
                        size: "small"
                      }, {
                        default: Vue.withCtx(() => [
                          Vue.createVNode(_component_el_radio_button, { value: "timeLine" }, {
                            default: Vue.withCtx(() => _cache[9] || (_cache[9] = [
                              Vue.createTextVNode("时间轴")
                            ])),
                            _: 1
                          }),
                          Vue.createVNode(_component_el_radio_button, { value: "flowChart" }, {
                            default: Vue.withCtx(() => _cache[10] || (_cache[10] = [
                              Vue.createTextVNode("流程图")
                            ])),
                            _: 1
                          })
                        ]),
                        _: 1
                      }, 8, ["modelValue"])
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["model"])
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 8, ["modelValue"]);
    };
  }
};
exports.default = _sfc_main;
